
#pragma once

//=============================================================================
//
//	AI.h
//	
//	Virtual AI class that possesses the functions the needs to be implemented
//
//=============================================================================

struct Move;

class AI
{
public:
	virtual void SetBoardSize(int boardsize) = 0;
	virtual void ClearBoard() = 0;
	virtual void SetMove(Move move) = 0;
	virtual void SetKomi(float komi) = 0;
	virtual void NextMove(int color, char* moveStr) = 0;

	// info
	virtual char* GetName() = 0;
	virtual char* GetVersion() = 0;

#if defined (ENABLE_DEBUG_OUTPUT)
	// debug
	virtual void ShowBoard() = 0;
	virtual void ShowBitBoard() = 0;
	virtual void ShowAllChains() = 0;
#endif
};