
//=============================================================================
//
//	BoardStonePointEnumerator
//
//	Enumerates each point on the given bit board
//
//=============================================================================

#pragma once

#include "BitBoard9.h"

class BoardStonePointEnumerator
{
public:
	BoardStonePointEnumerator() 
	{ }

	void Initialize(BitBoard9 board)
	{
		board_ = board;
		//board_.Print();
	}

	Point* Next()
	{
		if (board_.IsEmptyBoard())
		{
			return 0;
		}
		else 
		{
			BitBoard9 stone;
			stone.CutOneStoneFrom(board_);
			stone.GetTheOnlyPoint(&point_);
			return &point_;
		}
	}

private:
	BitBoard9 board_;
	Point point_;
};